Bug 51069 - [PATCH] p5-XML-Twig does not correctly depend on p5-XML-Parser
Summary: [PATCH] p5-XML-Twig does not correctly depend on p5-XML-Parser
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johann Visagie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-16 22:00 UTC by jj
Modified: 2003-11-04 05:29 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (743 bytes, patch)
2003-04-16 22:00 UTC, jj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jj 2003-04-16 22:00:29 UTC
p5-XML-Twig depends on p5-XML-Parser using RUN_DEPENDS.  However, this doesn't
cause p5-XML-Parser to be installed before p5-XML-Twig is built, which causes
the build to fail.  It is necessary to use BUILD_DEPENDS instead.

How-To-Repeat: Try to install p5-XML-Twig from ports without having installed p5-XML-Parser
first.
Comment 1 Tilman Keskinoz freebsd_committer 2003-04-23 17:14:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wjv

Over to maintainer
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2003-11-04 05:28:57 UTC
State Changed
From-To: open->closed

Committed in a slightly different form.  Maintainer reports 
ENOTIME right now.